import routesToJSON from './routesToJSON';
import { resolveGenerateRouterPath } from './utils';
const filePath = resolveGenerateRouterPath('Routes.tsx');
const tpl = '/tpl/Routes.tsx.tpl';
export async function generateRoutes(api) {
  var _api$userConfig$dynam;

  const {
    routes,
    importNameTemplate
  } = routesToJSON(api.userConfig);
  return api.generateFile.writeFile({
    path: filePath,
    content: api.generateFile.renderTpl(api.generateFile.readTplFile(__dirname, tpl), {
      routes,
      importNameTemplate,
      loadingComponent: (_api$userConfig$dynam = api.userConfig.dynamicImport) === null || _api$userConfig$dynam === void 0 ? void 0 : _api$userConfig$dynam.loading
    })
  });
}