import { join } from 'path';
export class ResolvePath {
  constructor() {
    this.paths = {};
  }

  setPaths(paths) {
    this.paths = paths;
  }

  resolveTmpPath(...args) {
    return join(this.paths.absTmpPath, ...args);
  }

  resolveNodeModulesPath(...args) {
    return join(this.paths.absNodeModulesPath, ...args);
  }

  resolveSrcPath(...args) {
    return join(this.paths.absSrcPath, ...args);
  }

  resolveRootPath(...args) {
    return join(this.paths.cwd, ...args);
  }

}